Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Requisition Class Reference

A GtkRequisition C++ wrapper class. More...

`#include <inti/gtk/widget.h>`

List of all members.

## Public Member Functions

Constructors

- Requisition ()
    Construct an empty requisition.
- Requisition (int width, int height)
    Construct a requisition with the specified width and height.
- Requisition (const GtkRequisition &requisition)
    Construct a requisition from an exisiting GtkRequisition.

Accessors

- GtkRequisition * gtk_requisition () const
    Get a pointer to the GtkRequisition structure.
- operator GtkRequisition * () const
    Conversion operator; safely converts a Requisition to a GtkRequisition pointer.
- int width () const
    Returns the requisition width.
- int height () const
    Returns the requisition height.
- bool operator== (const Requisition &other) const
    Returns true if this requisition is equal to other.
- bool operator!= (const Requisition &other) const
    Returns true if this requisition is not equal to other.

Methods

- void set (int width, int height)
    Set the width and height for the requisition.

## Detailed Description

A GtkRequisition C++ wrapper class.

Requisition holds the preferred size for a widget. It derives publicly from GtkRequisition. Requisition uses default copy, assignment and destruction and allows public access to GtkRequisition's width and height fields.

## Constructor & Destructor Documentation

Inti::Gtk::Requisition::Requisition | ( | int | width,
|  | int | height
| ) |

  | Construct a requisition with the specified width and height. Parameters:
  width | The width of the requisition.
  height | The height of the requisition.

Inti::Gtk::Requisition::Requisition | ( | const GtkRequisition & | requisition | ) |

  | Construct a requisition from an exisiting GtkRequisition. Parameters:
  requisition | A GtkRequisition.

## Member Function Documentation

bool Inti::Gtk::Requisition::operator!= | ( | const Requisition & | other | ) | const

  | Returns true if this requisition is not equal to other. Parameters:
  other | Another Requisition.

bool Inti::Gtk::Requisition::operator== | ( | const Requisition & | other | ) | const

  | Returns true if this requisition is equal to other. Parameters:
  other | Another Requisition.

void Inti::Gtk::Requisition::set | ( | int | width,
|  | int | height
| ) |

  | Set the width and height for the requisition. Parameters:
  width | The new width of the requisition.
  height | The new height of the requisition.

The documentation for this class was generated from the following file:

- widget.h

Main Page - Footer